Bug 591017 - [abrt] crash in hamster-applet-2.30.1-1.fc13: db.py:436:__solve_overlaps:TypeError: 'int' object is unsubscriptable
[abrt] crash in hamster-applet-2.30.1-1.fc13: db.py:436:__solve_overlaps:Type...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hamster-applet (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mads Villadsen
Fedora Extras Quality Assurance
abrt_hash:3facf7d0
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 04:28 EDT by Martin Ebourne
Modified: 2011-06-27 12:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.85 KB, text/plain)
2010-05-11 04:28 EDT, Martin Ebourne
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 626662 None None None Never

  None (edit)
Description Martin Ebourne 2010-05-11 04:28:45 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/lib64/hamster-applet/hamster-applet --oaf-activate-iid=OAFIID:Hamster_Applet_Factory --oaf-ior-fd=21
component: hamster-applet
executable: /usr/lib64/hamster-applet/hamster-applet
kernel: 2.6.33.3-85.fc13.x86_64
package: hamster-applet-2.30.1-1.fc13
reason: db.py:436:__solve_overlaps:TypeError: 'int' object is unsubscriptable
release: Fedora release 13 (Goddard)

backtrace
-----
db.py:436:__solve_overlaps:TypeError: 'int' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/hamster/edit_activity.py", line 202, in on_save_button_clicked
    runtime.storage.update_fact(self.fact_id, activity, tags, start_time, end_time, description)
  File "/usr/lib64/python2.6/site-packages/hamster/storage.py", line 93, in update_fact
    result = self.__add_fact(activity_name, tags, start_time, end_time, description = description)
  File "/usr/lib64/python2.6/site-packages/hamster/db.py", line 564, in __add_fact
    self.__solve_overlaps(start_time, end_time)
  File "/usr/lib64/python2.6/site-packages/hamster/db.py", line 436, in __solve_overlaps
    self.execute(tag_update, (new_fact["id"], fact["id"])) #clone tags
TypeError: 'int' object is unsubscriptable

Local variables in innermost frame:
fact_name: u'IQM'
start_time: datetime.datetime(2010, 5, 11, 17, 30)
tag_update: 'INSERT INTO fact_tags(fact_id, tag_id)\n                                     SELECT ?, tag_id\n                                       FROM fact_tags\n                                      WHERE fact_id = ?'
new_fact: 866
conflicts: [<sqlite3.Row object at 0x1f2d910>]
query: '\n                   SELECT a.*, b.name, c.name as category\n                     FROM facts a\n                LEFT JOIN activities b on b.id = a.activity_id\n                LEFT JOIN categories c on b.category_id = c.id\n                    WHERE ((start_time < ? and end_time > ?)\n                           OR (start_time < ? and end_time > ?))\n\n                       OR ((start_time < ? and start_time > ?)\n                           OR (end_time < ? and end_time > ?))\n                 ORDER BY start_time\n                '
self: <hamster.db.Storage object at 0x2138c50>
fact: <sqlite3.Row object at 0x1f2d910>
end_time: datetime.datetime(2010, 5, 11, 17, 52)
Comment 1 Martin Ebourne 2010-05-11 04:28:48 EDT
Created attachment 413068 [details]
File: backtrace
Comment 2 Josh Krupka 2010-06-04 15:56:14 EDT
Package: hamster-applet-2.30.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Have some existing items
2. Enter an item that starts and ends between the start and end time of an existing item.
3. Crash
Comment 3 Mads Villadsen 2010-08-11 15:04:31 EDT
Reported upstream here: https://bugzilla.gnome.org/show_bug.cgi?id=626662
Comment 4 mark.mrwizard 2010-09-05 20:52:53 EDT
Package: hamster-applet-2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. resized time of activity with timeline drag tool
2. moved time of activity back along timeline drag tool
3.


Comment
-----
didn't crash the program, just an error that said crash.
Comment 5 Philipp Riemer 2010-11-22 17:15:06 EST
Package: hamster-applet-2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. scheduled an overlapping meeting by accident
Comment 6 Bug Zapper 2011-06-02 10:12:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:16:05 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.